Module jdk.compiler
Package com.sun.source.tree

# Interface ErroneousTree

All Superinterfaces:
  `CaseLabelTreePREVIEW`, `ExpressionTree`, `Tree`

public interface ErroneousTree extends ExpressionTree
A tree node to stand in for a malformed expression.

Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends Tree>`
`getErrorTrees()`
Returns any trees that were saved in this node.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getErrorTrees

List<? extends Tree> getErrorTrees()
Returns any trees that were saved in this node.

Returns:
  the trees